Name: gnue-common
Version: 0.6.9
Release: alt2

Summary: GNU Enterprise Common Base

License: GPL
Group: Office
Url: http://www.gnue.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source:  http://www.gnuenterprise.org/downloads/releases/%name-%version.tar.bz2

BuildArchitectures: noarch

# I don't wish too many provides
#%%add_python_lib_path %_libdir/gnue/common
AutoReq: yes, nopython

%add_python_req_skip DateMask NumberMask TextMask TransitionMaps adodbapi dbf gadfly gnue informixdb ingmod kinterbasdb sapdb xmlrpc

# manually removed: eric
# Automatically added by buildreq on Thu Nov 11 2004
BuildRequires: python-base python-modules-encodings

BuildPreReq: python-devel = %__python_version

%description
GNUe Common Library is the basis for the GNUe tools, such as Forms,
Reports, Application Server, and Designer. It implements a
database-abstraction layer that provides support for most major
databases. A builtin XML-to-Object parser and Object-to-XML
marshaller are used by Forms, Reports, and Designer to save
and read Forms/Report definitions to and from an XML file.
It also defines and implements an RPC abstraction layer that
will allow server processes to define their public methods once
and have them available to CORBA, XML-RPC, SOAP, and DCOM
clients.

This package must be installed in order for the GNUe python-based
tools to work.

%prep
%setup -q

%install
python setup.py install --prefix=/usr --install-lib=%_libdir --root=%buildroot

%find_lang %name

cd %buildroot/etc/gnue
%__mv sample.connections.conf connections.conf
%__mv sample.gnue.conf gnue.conf

%files -f %name.lang
%_bindir/gnue-schema
%_datadir/gnue/
%_libdir/gnue/
%config(noreplace) /etc/*
%python_sitelibdir/gnue.pth
%_docdir/*
%_man1dir/*

%changelog
* Wed Apr 23 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.9-alt2
- rebuild with python 2.5

* Fri Jul 27 2007 Vitaly Lipatov <lav@altlinux.ru> 0.6.9-alt1
- new version 0.6.9 (with rpmrb script)

* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.5-alt0.1
- new version 0.6.5 (with rpmrb script)

* Mon Sep 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.3-alt0.1
- new version 0.6.3 (with rpmrb script)

* Sun Oct 09 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.1
- new version

* Tue Aug 30 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt0.1
- new version

* Thu Mar 24 2005 Vitaly Lipatov <lav@altlinux.ru> 0.5.14-alt0.1
- new version
- rebuild with python 2.4

* Sat Dec 04 2004 Vitaly Lipatov <lav@altlinux.ru> 0.5.11-alt0.1
- new version

* Thu Nov 11 2004 Vitaly Lipatov <lav@altlinux.ru> 0.5.10-alt0.1
- first build for ALT Linux Sisyphus

